Skip to main content
GET
/
api
/
v2
/
tokens
List tokens
curl --request GET \
  --url https://sitegpt.ai/api/v2/tokens \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "tokens": [
      {
        "id": "token-id",
        "name": "Example token",
        "createdAt": "2026-05-13T00:00:00.000Z"
      }
    ],
    "pagination": {
      "limit": 20,
      "hasNextPage": false,
      "nextCursor": null
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

includeRevoked
boolean
default:false

Include revoked tokens. Revoked tokens are hidden by default.

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required